net.minecraft.network.packet

## Class Packet6SpawnPosition

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet6SpawnPosition

-     public class Packet6SpawnPosition
      extends Packet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `xPosition` X coordinate of spawn.
    `int` | `yPosition` Y coordinate of spawn.
    `int` | `zPosition` Z coordinate of spawn.

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet6SpawnPosition()`
    `Packet6SpawnPosition(int par1, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canProcessAsync()` If this returns true, the packet may be processed on any thread; otherwise it is queued for the main thread to handle.
    `boolean` | `containsSameEntityIDAs(Packet par1Packet)` eg return packet30entity.entityId == entityId; WARNING : will throw if you compare a packet to a different packet class
    `int` | `getPacketSize()` Abstract.
    `boolean` | `isRealPacket()` only false for the abstract Packet class, all real packets return true
    `void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
    `void` | `readPacketData(DataInput par1DataInput)` Abstract.
    `void` | `writePacketData(DataOutput par1DataOutput)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, getNewPacket, getPacketId, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### xPosition

          public int xPosition

      X coordinate of spawn.

    - #### yPosition

          public int yPosition

      Y coordinate of spawn.

    - #### zPosition

          public int zPosition

      Z coordinate of spawn.

  - ### Constructor Detail

    - #### Packet6SpawnPosition

          public Packet6SpawnPosition()

    - #### Packet6SpawnPosition

          public Packet6SpawnPosition(int par1,
                              int par2,
                              int par3)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(DataInput par1DataInput)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutput par1DataOutput)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `IOException`

    - #### processPacket

          public void processPacket(NetHandler par1NetHandler)

      Passes this Packet on to the NetHandler for processing.
      Specified by:
        `processPacket` in class `Packet`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Specified by:
        `getPacketSize` in class `Packet`

    - #### isRealPacket

          public boolean isRealPacket()

      only false for the abstract Packet class, all real packets return true
      Overrides:
        `isRealPacket` in class `Packet`

    - #### containsSameEntityIDAs

          public boolean containsSameEntityIDAs(Packet par1Packet)

      eg return packet30entity.entityId == entityId; WARNING : will throw if you compare a packet to a different packet class
      Overrides:
        `containsSameEntityIDAs` in class `Packet`

    - #### canProcessAsync

          public boolean canProcessAsync()

      If this returns true, the packet may be processed on any thread; otherwise it is queued for the main thread to handle.
      Overrides:
        `canProcessAsync` in class `Packet`